Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java	(revision 1334)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java	(revision 1335)
@@ -14,68 +14,65 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.edition.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String BackToText_0;
-	public static String BackToText_3;
-	public static String BackToText_4;
-	public static String BackToText_5;
-	public static String EditionSelectorDialog_0;
-	public static String EditionSelectorDialog_1;
-	public static String editor_controls;
+	public static String openingWithFirstEditionNoDefaultEditionSetDDotP0; 
+	public static String errorDDotCouldNotRetrieveLineWordIdsAbortingBackToText; 
+	public static String noEditionToOpen; 
+	public static String openingDefaultEditionsDDotP0; 
+	public static String editions; 
+	public static String selectOneOrMoreEditions; 
+	public static String controls; 
 
-	public static String editor_empty;
+	public static String CommandLink_empty; 
 
-	public static String editor_page_navigation_buttons;
+	public static String pageButtons; 
 
-	public static String editor_text_navigation_buttons;
+	public static String textButtons; 
 
-	public static String editor_warning_no_id_parameter;
+	public static String cannotCallTxmcommandWithoutIdParameterDDotP0; 
 
-	public static String editor_warning_unknowned_param_id;
+	public static String warningDDotUnknownedParameterIdEqualsP0; 
 
 	public static String error_while_reading;
 
-	public static String menu_back;
+	public static String back; 
 
-	public static String menu_copy_text_selection;
+	public static String copyTextSelection; 
 
-	public static String menu_forward;
+	public static String forward; 
 
-	public static String menu_reload;
+	public static String reload; 
 
-	public static String OpenEdition_0;
-	public static String OpenEdition_1;
-	public static String OpenEdition_10;
-	public static String OpenEdition_3;
-	public static String OpenEdition_4;
-	public static String OpenEdition_7;
-	public static String OpenEdition_9;
-	public static String SynopticEditionEditor_0;
-	public static String SynopticEditionEditor_1;
-	public static String SynopticEditionEditor_10;
-	public static String SynopticEditionEditor_11;
-	public static String SynopticEditionEditor_3;
-	public static String SynopticEditionEditor_4;
-	public static String SynopticEditionEditor_5;
-	public static String SynopticEditionEditor_6;
-	public static String SynopticEditionEditor_7;
-	public static String SynopticEditionEditor_8;
-	public static String SynopticEditionEditor_9;
+	public static String openingWithFirstEditionNoDefaultEditionSetDDot; 
+	public static String errorWhileOpeningEditorDDotP0; 
+	public static String errorWhileOpeningEditionDDotP0; 
+	public static String inTheCorpus; 
+	public static String abortingDDotSelectionIsNotACorpus; 
+	public static String firstTextOfTheCorpus; 
+	public static String previousText; 
+	public static String nextText; 
+	public static String lastTextOfTheCorpus; 
+	public static String firstPageOfTheText; 
+	public static String previousPage; 
+	public static String noEditionFound; 
+	public static String errorWhileGettingAvailableEditionsDDot; 
+	public static String nextPage; 
+	public static String lastPageOfTheText; 
+	public static String warningDDotCouldNotFindEditionForNameEqualsP0; 
 
-	public static String warning_no_edition_found;
+	public static String noEditionFoundForTextEqualsP0AndEditionEqualsP1; 
 
-	public static String warning_no_edition_with_name;
+	public static String noEditionWithNameEqualsP0AvailableForTextEqualsP1; 
 
-	public static String warning_no_first_page;
+	public static String failToRetrieveFirstPageOfEditionEqualsP0AndTextEqualsP1; 
 
-	public static String warning_page_not_found;
+	public static String pageNotFoundP0; 
 
-	public static String warning_script_returned;
+	public static String sCRIPTRETURNEDEqualsP0; 
 	
-	public static String preference_preference_fast_highlight;
-	public static String preference_title;
+	public static String enableFastWordHighlight; 
+	public static String edition; 
 	
-	public static String CommandLink_empty;
-	public static String EditionLink_error_no_arguments;
+	public static String errorDDotTxmeditioncorpusidEditionidTextidWordidCalledWithNoArguments; 
 	
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionLink.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionLink.java	(revision 1334)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionLink.java	(revision 1335)
@@ -45,7 +45,7 @@
 			params.put(id+".textid", null); //$NON-NLS-1$
 			params.put(id+".wordid", null); //$NON-NLS-1$
 		} else {
-			System.out.println(EditionUIMessages.EditionLink_error_no_arguments);
+			System.out.println(EditionUIMessages.errorDDotTxmeditioncorpusidEditionidTextidWordidCalledWithNoArguments);
 			return null;
 		}
 
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 1334)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 1335)
@@ -534,7 +534,7 @@
 		Edition edition = text.getEdition(name);
 
 		if (edition == null) {
-			String s = EditionUIMessages.bind(EditionUIMessages.warning_no_edition_found, text, name);
+			String s = EditionUIMessages.bind(EditionUIMessages.noEditionFoundForTextEqualsP0AndEditionEqualsP1, text, name);
 			System.out.println(s);
 			StatusLine.setMessage(s);
 			Log.severe(s);
@@ -562,7 +562,7 @@
 		currentPage = currentEdition.getFirstPage();
 		currentText = currentEdition.getText();
 		if (currentPage == null) {
-			System.out.println(EditionUIMessages.bind(EditionUIMessages.warning_no_first_page, currentEdition.getName(), currentText.getName()));
+			System.out.println(EditionUIMessages.bind(EditionUIMessages.failToRetrieveFirstPageOfEditionEqualsP0AndTextEqualsP1, currentEdition.getName(), currentText.getName()));
 			return;
 		}
 
@@ -642,7 +642,7 @@
 			String editionName = currentEdition.getName();
 			Edition tmp = firstText.getEdition(editionName);
 			if (tmp == null) {
-				System.out.println(EditionUIMessages.bind(EditionUIMessages.warning_no_edition_with_name, editionName, firstText.getName()));
+				System.out.println(EditionUIMessages.bind(EditionUIMessages.noEditionWithNameEqualsP0AvailableForTextEqualsP1, editionName, firstText.getName()));
 				return;
 			}
 			currentEdition = tmp;
@@ -668,7 +668,7 @@
 			String editionName = currentEdition.getName();
 			Edition tmp = lastText.getEdition(editionName);
 			if (tmp == null) {
-				System.out.println(EditionUIMessages.bind(EditionUIMessages.warning_no_edition_with_name, editionName, lastText.getName()));
+				System.out.println(EditionUIMessages.bind(EditionUIMessages.noEditionWithNameEqualsP0AvailableForTextEqualsP1, editionName, lastText.getName()));
 				return;
 			}
 
@@ -701,7 +701,7 @@
 
 			Edition tmp = previousText.getEdition(editionName);
 			if (tmp == null) {
-				System.out.println(EditionUIMessages.bind(EditionUIMessages.warning_no_edition_with_name, editionName, previousText.getName()));
+				System.out.println(EditionUIMessages.bind(EditionUIMessages.noEditionWithNameEqualsP0AvailableForTextEqualsP1, editionName, previousText.getName()));
 			}
 			currentEdition = tmp;
 			currentText = previousText;
@@ -732,7 +732,7 @@
 			String editionName = currentEdition.getName();
 			Edition tmp = nextText.getEdition(editionName);
 			if (tmp == null) {
-				System.out.println(EditionUIMessages.bind(EditionUIMessages.warning_no_edition_with_name, editionName, nextText.getName()));
+				System.out.println(EditionUIMessages.bind(EditionUIMessages.noEditionWithNameEqualsP0AvailableForTextEqualsP1, editionName, nextText.getName()));
 				return;
 			}
 			currentEdition = tmp;
@@ -755,7 +755,7 @@
 		String editionName = currentEdition.getName();
 		Edition tmp = text.getEdition(editionName);
 		if (tmp == null) {
-			System.out.println(EditionUIMessages.bind(EditionUIMessages.warning_no_edition_with_name, editionName, text.getName()));
+			System.out.println(EditionUIMessages.bind(EditionUIMessages.noEditionWithNameEqualsP0AvailableForTextEqualsP1, editionName, text.getName()));
 			return;
 		}
 
@@ -905,7 +905,7 @@
 				return sel;
 			}
 		} else { 
-			System.out.println(EditionUIMessages.bind(EditionUIMessages.warning_script_returned, ret));
+			System.out.println(EditionUIMessages.bind(EditionUIMessages.sCRIPTRETURNEDEqualsP0, ret));
 			return null;
 		}
 	}
@@ -971,7 +971,7 @@
 				new MenuItem(menu, SWT.SEPARATOR);
 
 				MenuItem copyItem = new MenuItem(menu, SWT.NONE);
-				copyItem.setText(EditionUIMessages.menu_copy_text_selection);
+				copyItem.setText(EditionUIMessages.copyTextSelection);
 				copyItem.addSelectionListener(new SelectionListener() {
 
 					@Override
@@ -989,7 +989,7 @@
 				copyItem.setEnabled(text != null && text.length() > 0);
 
 				MenuItem reloadItem = new MenuItem(menu, SWT.NONE);
-				reloadItem.setText(EditionUIMessages.menu_reload);
+				reloadItem.setText(EditionUIMessages.reload);
 				reloadItem.addSelectionListener(new SelectionListener() {
 
 					@Override
@@ -1001,7 +1001,7 @@
 					public void widgetDefaultSelected(SelectionEvent e) { }
 				});
 				MenuItem backItem = new MenuItem(menu, SWT.NONE);
-				backItem.setText(EditionUIMessages.menu_back);
+				backItem.setText(EditionUIMessages.back);
 				backItem.addSelectionListener(new SelectionListener() {
 
 					@Override
@@ -1013,7 +1013,7 @@
 					public void widgetDefaultSelected(SelectionEvent e) { }
 				});
 				MenuItem forwardItem = new MenuItem(menu, SWT.NONE);
-				forwardItem.setText(EditionUIMessages.menu_forward);
+				forwardItem.setText(EditionUIMessages.forward);
 				forwardItem.addSelectionListener(new SelectionListener() {
 
 					@Override
@@ -1090,7 +1090,7 @@
 			currentPage = next;
 			this.setURL(currentPage.toURL());
 		} else {
-			System.out.println(EditionUIMessages.bind(EditionUIMessages.warning_page_not_found, name));
+			System.out.println(EditionUIMessages.bind(EditionUIMessages.pageNotFoundP0, name));
 		}
 	}
 
@@ -1167,4 +1167,4 @@
 			highlightedColorPerWordIDS.remove(key);
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 1334)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 1335)
@@ -140,7 +140,7 @@
 							String s = panel.getTextSelection();
 							if (s.length() > 0) return s;
 						}
-						return EditionUIMessages.editor_empty;
+						return EditionUIMessages.CommandLink_empty;
 					}
 					@Override
 					public int getStartLine() {	return 0;}
@@ -319,7 +319,7 @@
 
 		editionsArea = getResultArea();
 
-		controlsArea = getBottomToolbar().installGLComposite(EditionUIMessages.editor_controls, 15, false);
+		controlsArea = getBottomToolbar().installGLComposite(EditionUIMessages.controls, 15, false);
 		controlsArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		//spacer
 		new Label(controlsArea, SWT.NONE).setText("  "); //$NON-NLS-1$
@@ -355,11 +355,11 @@
 							openEditions(corpus, text, editionNames);
 							firstPage();
 						} else {
-							System.out.println(EditionUIMessages.SynopticEditionEditor_5);
+							System.out.println(EditionUIMessages.noEditionFound);
 						}
 					} catch (Exception e2) {
 						org.txm.rcp.utils.Logger.printStackTrace(e2);
-						System.out.println(EditionUIMessages.SynopticEditionEditor_6+e2);
+						System.out.println(EditionUIMessages.errorWhileGettingAvailableEditionsDDot+e2);
 					}
 				}
 
@@ -371,7 +371,7 @@
 		}
 
 		// Navigation buttons
-		GLComposite pageNavigationComposite = new GLComposite(controlsArea, SWT.NONE, EditionUIMessages.editor_page_navigation_buttons);
+		GLComposite pageNavigationComposite = new GLComposite(controlsArea, SWT.NONE, EditionUIMessages.pageButtons);
 		pageNavigationComposite.getLayout().numColumns = 6;
 		Button first = new Button(pageNavigationComposite, SWT.FLAT|SWT.PUSH);
 		Button previous = new Button(pageNavigationComposite, SWT.FLAT|SWT.PUSH);
@@ -381,11 +381,11 @@
 		Button last = new Button(pageNavigationComposite, SWT.FLAT|SWT.PUSH);
 		pageNavigationComposite.setLayoutData(new GridData(GridData.CENTER, GridData.FILL, true, false));
 		
-		GLComposite textNavigationComposite = new GLComposite(controlsArea, SWT.NONE, EditionUIMessages.editor_text_navigation_buttons);
+		GLComposite textNavigationComposite = new GLComposite(controlsArea, SWT.NONE, EditionUIMessages.textButtons);
 		textNavigationComposite.getLayout().numColumns = 6;
 		Button firstText = new Button(textNavigationComposite, SWT.FLAT);
 		Button previousText = new Button(textNavigationComposite, SWT.FLAT);
-		new Label(textNavigationComposite, SWT.NONE).setText(EditionUIMessages.editor_empty);
+		new Label(textNavigationComposite, SWT.NONE).setText(EditionUIMessages.CommandLink_empty);
 		Button nextText = new Button(textNavigationComposite, SWT.FLAT|SWT.PUSH);
 		Button lastText = new Button(textNavigationComposite, SWT.FLAT|SWT.PUSH);
 		textNavigationComposite.setLayoutData(new GridData(GridData.CENTER, GridData.FILL, false, false));
@@ -431,21 +431,21 @@
 		// set labels
 		page_label.setText(""); //$NON-NLS-1$
 		firstText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWINDSTART));
-		firstText.setToolTipText(EditionUIMessages.SynopticEditionEditor_0); 
+		firstText.setToolTipText(EditionUIMessages.firstTextOfTheCorpus); 
 		previousText.setImage(IImageKeys.getImage(IImageKeys.CTRLREWIND));
-		previousText.setToolTipText(EditionUIMessages.SynopticEditionEditor_1); 
+		previousText.setToolTipText(EditionUIMessages.previousText); 
 		first.setImage(IImageKeys.getImage(IImageKeys.CTRLSTART)); 
-		first.setToolTipText(EditionUIMessages.SynopticEditionEditor_3); 
+		first.setToolTipText(EditionUIMessages.firstPageOfTheText); 
 		previous.setImage(IImageKeys.getImage(IImageKeys.CTRLREVERSE));
-		previous.setToolTipText(EditionUIMessages.SynopticEditionEditor_4); 
+		previous.setToolTipText(EditionUIMessages.previousPage); 
 		next.setImage(IImageKeys.getImage(IImageKeys.CTRLPLAY));
-		next.setToolTipText(EditionUIMessages.SynopticEditionEditor_7); 
+		next.setToolTipText(EditionUIMessages.nextPage); 
 		last.setImage(IImageKeys.getImage(IImageKeys.CTRLEND));
-		last.setToolTipText(EditionUIMessages.SynopticEditionEditor_8);
+		last.setToolTipText(EditionUIMessages.lastPageOfTheText);
 		nextText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARD));
-		nextText.setToolTipText(EditionUIMessages.SynopticEditionEditor_10); 
+		nextText.setToolTipText(EditionUIMessages.nextText); 
 		lastText.setImage(IImageKeys.getImage(IImageKeys.CTRLFASTFORWARDEND));
-		lastText.setToolTipText(EditionUIMessages.SynopticEditionEditor_11); 
+		lastText.setToolTipText(EditionUIMessages.lastTextOfTheCorpus); 
 
 		page_text.addKeyListener(new KeyListener() {
 
@@ -635,7 +635,7 @@
 
 				editionPanels.put(editionName, panel);
 			} else {
-				System.out.println(EditionUIMessages.SynopticEditionEditor_9+editionName);
+				System.out.println(EditionUIMessages.warningDDotCouldNotFindEditionForNameEqualsP0+editionName);
 			}
 		}
 		editionsArea.layout();
@@ -717,7 +717,7 @@
 			sel = p.getTextSelection();
 			if (sel != null) return sel;
 		}
-		return EditionUIMessages.editor_empty;
+		return EditionUIMessages.CommandLink_empty;
 	}
 
 	@Override
@@ -836,7 +836,7 @@
 				Parameterization p = new Parameterization(iparam, params.get(k));
 				parameters.add(p);
 			} catch (NotDefinedException e) {
-				System.out.println(EditionUIMessages.editor_warning_unknowned_param_id+k);
+				System.out.println(EditionUIMessages.warningDDotUnknownedParameterIdEqualsP0+k);
 			}
 		}
 
@@ -875,7 +875,7 @@
 			//get the command from plugin.xml
 			callTXMCommand(id, params);
 		} else {
-			System.out.println(EditionUIMessages.editor_warning_no_id_parameter+params);
+			System.out.println(EditionUIMessages.cannotCallTxmcommandWithoutIdParameterDDotP0+params);
 		}
 		return arguments;
 	}
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionSelectorDialog.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionSelectorDialog.java	(revision 1334)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionSelectorDialog.java	(revision 1335)
@@ -38,8 +38,8 @@
 			}
 		});
 
-		setTitle(EditionUIMessages.EditionSelectorDialog_0);
-		setMessage(EditionUIMessages.EditionSelectorDialog_1);
+		setTitle(EditionUIMessages.editions);
+		setMessage(EditionUIMessages.selectOneOrMoreEditions);
 		setMultipleSelection(true);
 		setElements(corpus.getProject().getEditionNames().toArray());
 		setFilter("*"); //$NON-NLS-1$
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 1334)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 1335)
@@ -258,14 +258,14 @@
 					if (editionNames.size() > 0) { // use the first edition declared
 						editionsToOpen = new String[1];
 						editionsToOpen[0] = editionNames.get(0);
-						Log.info(EditionUIMessages.BackToText_0+editionNames.get(0));
+						Log.info(EditionUIMessages.openingWithFirstEditionNoDefaultEditionSetDDotP0+editionNames.get(0));
 					} else { // no edition in the corpus
-						Log.info(EditionUIMessages.BackToText_4);
+						Log.info(EditionUIMessages.noEditionToOpen);
 						editionsToOpen = new String[0];
 						return false;
 					}
 				} else {
-					Log.info(EditionUIMessages.BackToText_5+StringUtils.join(editionsToOpen));
+					Log.info(EditionUIMessages.openingDefaultEditionsDDotP0+StringUtils.join(editionsToOpen));
 				}
 
 				attachedBrowserEditor = OpenEdition.openEdition(corpus, editionsToOpen);
@@ -310,7 +310,7 @@
 
 			String line_wordid = lineids.get(0);
 			if (line_wordid == null) {
-				System.out.println(EditionUIMessages.BackToText_3);
+				System.out.println(EditionUIMessages.errorDDotCouldNotRetrieveLineWordIdsAbortingBackToText);
 				return false;				
 			}
 
@@ -347,4 +347,4 @@
 		}
 		return false;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java	(revision 1334)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java	(revision 1335)
@@ -95,14 +95,14 @@
 					if (editionNames.size() > 0) { // use the first edition declared
 						editionsToOpen = new String[1];
 						editionsToOpen[0] = editionNames.get(0);
-						Log.info(EditionUIMessages.OpenEdition_0+editionNames.get(0));
+						Log.info(EditionUIMessages.openingWithFirstEditionNoDefaultEditionSetDDot+editionNames.get(0));
 					} else { // no edition in the corpus
-						Log.info(EditionUIMessages.OpenEdition_1);
+						Log.info(EditionUIMessages.noEditionToOpen);
 						editionsToOpen = new String[0];
 						return false;
 					}
 				} else {
-					Log.info(EditionUIMessages.OpenEdition_3+StringUtils.join(editionsToOpen));
+					Log.info(EditionUIMessages.openingDefaultEditionsDDotP0+StringUtils.join(editionsToOpen));
 				}
 
 				editor = openEdition(c, editionsToOpen);
@@ -110,11 +110,11 @@
 				//				if (editor != null)
 				//					editor.firstPage();
 			} catch (Exception e) {
-				System.out.println(EditionUIMessages.OpenEdition_4+e);
+				System.out.println(EditionUIMessages.errorWhileOpeningEditionDDotP0+e);
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 		} else {
-			System.out.println(EditionUIMessages.OpenEdition_9);
+			System.out.println(EditionUIMessages.abortingDDotSelectionIsNotACorpus);
 		}
 		return null;
 	}
@@ -163,7 +163,7 @@
 				text = maincorpus.getProject().getFirstText();
 
 				if (text == null) {
-					System.out.println("** Could not find first text of ID "+textid+EditionUIMessages.OpenEdition_7); //$NON-NLS-1$ //$NON-NLS-1$
+					System.out.println("** Could not find first text of ID "+textid+EditionUIMessages.inTheCorpus); //$NON-NLS-1$ //$NON-NLS-1$
 					return null;
 				}
 
@@ -182,8 +182,8 @@
 
 		} catch (Exception e) {
 			Log.printStackTrace(e);
-			System.out.println(EditionUIMessages.OpenEdition_10+e);
+			System.out.println(EditionUIMessages.errorWhileOpeningEditorDDotP0+e);
 			return null;
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferencePage.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferencePage.java	(revision 1334)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferencePage.java	(revision 1335)
@@ -27,7 +27,7 @@
 		super();
 		preferences = new ScopedPreferenceStore(org.eclipse.core.runtime.preferences.InstanceScope.INSTANCE, Application.PLUGIN_ID);
 		setPreferenceStore(preferences);
-		setTitle(EditionUIMessages.preference_title);
+		setTitle(EditionUIMessages.edition);
 	}
 	
 	@Override
@@ -35,7 +35,7 @@
 
 	@Override
 	protected void createFieldEditors() {
-		fast_highlight = new BooleanFieldEditor(SynopticEditionPreferences.FAST_HIGHLIGHT, EditionUIMessages.preference_preference_fast_highlight, getFieldEditorParent());
+		fast_highlight = new BooleanFieldEditor(SynopticEditionPreferences.FAST_HIGHLIGHT, EditionUIMessages.enableFastWordHighlight, getFieldEditorParent());
 		addField(fast_highlight);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java	(revision 1334)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java	(revision 1335)
@@ -13,16 +13,16 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.internalview.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String ComputeInternalView_1;
+	public static String errorDDotSelectionIsNotACorpus; 
 
-	public static String editor_composite_navigation;
+	public static String navigation; 
 
-	public static String editor_error_backto_match;
+	public static String errorWhileInternalViewGoBackTo; 
 	
-	public static String InternalViewEditor_16;
-	public static String InternalViewEditor_25;
-	public static String InternalViewEditor_4;
-	public static String InternalViewEditor_5;
+	public static String errorDDot; 
+	public static String qUERYDDot; 
+	public static String structure; 
+	public static String structuralProperties; 
 	
 	public static String error_backto_internalview;
 	
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 1334)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 1335)
@@ -106,7 +106,7 @@
 		
 		// Structural unit selector
 		Label structComboLabel = new Label(parametersArea, SWT.NONE);
-		structComboLabel.setText(InternalViewUIMessages.InternalViewEditor_4);
+		structComboLabel.setText(InternalViewUIMessages.structure);
 		structComboLabel.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, true));
 		this.structuralUnitsComboViewer = new StructuralUnitsComboViewer(parametersArea, this, true);
 		// Listener
@@ -136,11 +136,11 @@
 		structuralUnitPropertiesSelector = new PropertiesSelector<StructuralUnitProperty>(parametersArea);
 		structuralUnitPropertiesSelector.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, true));
 		structuralUnitPropertiesSelector.setLayout(new GridLayout(3, false));
-		structuralUnitPropertiesSelector.setTitle(InternalViewUIMessages.InternalViewEditor_5);
+		structuralUnitPropertiesSelector.setTitle(InternalViewUIMessages.structuralProperties);
 		structuralUnitPropertiesSelector.addSelectionListener(computeSelectionListener);
 		
 		
-		navigationPanel = getBottomToolbar().installGLComposite(InternalViewUIMessages.editor_composite_navigation, 4 , false);
+		navigationPanel = getBottomToolbar().installGLComposite(InternalViewUIMessages.navigation, 4 , false);
 		navigationPanel.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 
 		
@@ -257,7 +257,7 @@
 								Integer idx = columnsOrder.get(col);
 								return ""+((Object[])element)[idx]; //$NON-NLS-1$
 							}
-							return InternalViewUIMessages.InternalViewEditor_16;
+							return InternalViewUIMessages.errorDDot;
 						}
 					});
 					columns.put(prop, col);
@@ -304,7 +304,7 @@
 			query.append("\""); //$NON-NLS-1$
 		}
 		query.append("]"); //$NON-NLS-1$
-		System.out.println(InternalViewUIMessages.InternalViewEditor_25+query);
+		System.out.println(InternalViewUIMessages.qUERYDDot+query);
 		return query.toString();
 	}
 
@@ -322,7 +322,7 @@
 			n = CQPSearchEngine.getCqiClient().cpos2Struc(sup.getQualifiedName(), cpos);
 			return goToPage(n[0]);
 		} catch (Exception e) {
-			System.out.println(InternalViewUIMessages.editor_error_backto_match + m);
+			System.out.println(InternalViewUIMessages.errorWhileInternalViewGoBackTo + m);
 			Log.printStackTrace(e);
 		} 
 		return false;
@@ -359,4 +359,4 @@
 			e.printStackTrace();
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java	(revision 1334)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/ComputeInternalView.java	(revision 1335)
@@ -39,7 +39,7 @@
 			internalView = (InternalView)selection;
 		}
 		else {
-			System.out.println(InternalViewUIMessages.ComputeInternalView_1);
+			System.out.println(InternalViewUIMessages.errorDDotSelectionIsNotACorpus);
 			return null;
 		}
 		
@@ -48,4 +48,4 @@
 	}
 
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 1334)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 1335)
@@ -149,7 +149,7 @@
 		getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		
 		Label queryLabel = new Label(getMainParametersComposite(), SWT.NONE);
-		queryLabel.setText(TXMUIMessages.CreateSubcorpusDialog_10);
+		queryLabel.setText(TXMUIMessages.ampQuery);
 		queryLabel.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
 		
 		querywidget = new QueryWidget(getMainParametersComposite(), SWT.None);
@@ -182,7 +182,7 @@
 		patternArea = new PropertiesSelector<StructuralUnitProperty>(paramArea, SWT.NONE);
 		patternArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,3,1));
 		patternArea.setLayout(new GridLayout(3, false));
-		patternArea.setTitle(ReferencerUIMessages.ReferencerEditor_6);
+		patternArea.setTitle(ReferencerUIMessages.referencePattern);
 		patternArea.addSelectionListener(computeSelectionListener);
 		
 		
@@ -200,7 +200,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(ReferencerUIMessages.ReferencerEditor_17);
+				StatusLine.setMessage(ReferencerUIMessages.showingFirstResultPage);
 				fillDisplayArea(0, lineperpage);
 				viewer.getTable().select(0);
 				viewer.getTable().showSelection();
@@ -214,7 +214,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(ReferencerUIMessages.ReferencerEditor_19);
+				StatusLine.setMessage(ReferencerUIMessages.showingLastResultPage);
 				fillDisplayArea(referencer.getNLines()
 						- lineperpage, referencer.getNLines());
 				viewer.getTable().select(0);
@@ -229,7 +229,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(ReferencerUIMessages.ReferencerEditor_21);
+				StatusLine.setMessage(ReferencerUIMessages.showingNextResultPage);
 				fillDisplayArea(topLine + lineperpage,
 						bottomLine + lineperpage);
 				viewer.getTable().select(0);
@@ -244,7 +244,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(ReferencerUIMessages.ReferencerEditor_23);
+				StatusLine.setMessage(ReferencerUIMessages.showingPreviousResultPage);
 				fillDisplayArea(topLine - lineperpage,
 						bottomLine - lineperpage);
 				viewer.getTable().select(0);
@@ -302,8 +302,8 @@
 		unitColumn.setWidth(200);
 
 		freqColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
-		freqColumn.setText(ReferencerUIMessages.ReferencerEditor_11);
-		freqColumn.setToolTipText(ReferencerUIMessages.ReferencerEditor_11);
+		freqColumn.setText(ReferencerUIMessages.references);
+		freqColumn.setToolTipText(ReferencerUIMessages.references);
 		freqColumn.setWidth(100);
 		
 		initializeFields();
@@ -324,7 +324,7 @@
 		fillDisplayArea(0, lineperpage);
 		
 		viewer.getTable().setFocus();
-		System.out.println(NLS.bind(TXMUIMessages.CreatePartition_5, referencer.getNLines(), referencer.getV()));
+		System.out.println(NLS.bind(TXMUIMessages.doneDDotP0Items, referencer.getNLines(), referencer.getV()));
 	}
 
 
@@ -474,4 +474,4 @@
 	public void updateResultFromEditor() {
 		// nothing to do
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java	(revision 1334)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java	(revision 1335)
@@ -48,15 +48,15 @@
 	
 	@Override
 	public void createFieldEditors() {
-		this.addField(new BooleanFieldEditor(ReferencerPreferences.SORT_BY_FREQUENCIES, ReferencerUIMessages.ReferencerPreferencePage_3, this.getFieldEditorParent()));
+		this.addField(new BooleanFieldEditor(ReferencerPreferences.SORT_BY_FREQUENCIES, ReferencerUIMessages.orderReferencesByFrequency, this.getFieldEditorParent()));
 	}
 
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(ReferencerPreferences.getInstance().getPreferencesNodeQualifier()));
-		this.setTitle(ReferencerUIMessages.ReferencerPreferencePage_2);
+		this.setTitle(ReferencerUIMessages.referencer);
 	}
 	
 	
 	
-}
+}
\ No newline at end of file
